package com.jln.system.web.action.mqtt.pojo.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("奔腾切割机上报数据对象类")
public class BtreportdataDto  {



    @ApiModelProperty(name = "设备品牌", example = "", dataType = "string")
    @JsonProperty("DeviceBrand")
    private String DeviceBrand;

    @ApiModelProperty(name = "序列号", example = "", dataType = "string")
    @JsonProperty("SerNum")
    private String SerNum;

    @ApiModelProperty(name = "设备状态", example = "", dataType = "string")
    @JsonProperty("Status")
    private String Status;

    @ApiModelProperty(name = "急停", example = "", dataType = "string")
    @JsonProperty("Emg")
    private String Emg;

    @ApiModelProperty(name = "报警", example = "", dataType = "string")
    @JsonProperty("Alarm")
    private String Alarm;

    @ApiModelProperty(name = "工作模式", example = "", dataType = "string")
    @JsonProperty("Mode")
    private String Mode;

    @ApiModelProperty(name = "轴名称", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String AxisName;

    @ApiModelProperty(name = "机械坐标", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String MachPos;

    @ApiModelProperty(name = "绝对坐标", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String AbsPos;

    @ApiModelProperty(name = "程序运行状态", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String NcStatus;

    @ApiModelProperty(name = "主程序号", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String MainPgm;

    @ApiModelProperty(name = "当前程序号", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String CurPgm;

    @ApiModelProperty(name = "程序行号", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String CurSeq;

    @ApiModelProperty(name = "报警信息", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String AlarmMsg;

    @ApiModelProperty(name = "激光器额定功率", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String LaserRatePower;

    @ApiModelProperty(name = "最大空走速度", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String MaxIdleSpeed;

    @ApiModelProperty(name = "最大切割速度", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String MaxCutSpeed;

    @ApiModelProperty(name = "切割零件范围", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String CutRange;

    @ApiModelProperty(name = "割枪配置数量", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String CutGunNo;

    @ApiModelProperty(name = "定位精度", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String posAcc;

    @ApiModelProperty(name = "工作台面尺寸", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String WorkSize;

    @ApiModelProperty(name = "切割气体类型", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String CutGasType;

    @ApiModelProperty(name = "切割气体流量", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String CutGasFlow;

    @ApiModelProperty(name = "切割厚度", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String CutThick;

    @ApiModelProperty(name = "激光输出功率", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String LaserPower;

    @ApiModelProperty(name = "切割气体压力", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String CutGasPressure;

    @ApiModelProperty(name = "电源电压", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String PowerVoltage;

    @ApiModelProperty(name = "切割速度", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String CutSpeed;

    @ApiModelProperty(name = "板材规格", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String PlateType;

    @ApiModelProperty(name = "切割状态", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String CutStatus;

    @ApiModelProperty(name = "总开机时间", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String LifeTimer;

    @ApiModelProperty(name = "切割时间", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String WorkingTimer;

    @ApiModelProperty(name = "出光时间", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String LaserOnTimer;

    @ApiModelProperty(name = "加工时间", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String CycSec;

    @ApiModelProperty(name = "相对坐标", example = "", dataType = "string")
    @JsonProperty("AxisName")
    private String RelPos;

}
