package com.jln.system.web.action.mqtt.pojo.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("激光切割机上报数据对象类")
public class JgReportDataDto  {


    @JsonProperty("DeviceID")
    private String DeviceID;

    @JsonProperty("CompanyNo")
    private String CompanyNo;

    @JsonProperty("SerNum")
    private String SerNum;

    @JsonProperty("factoryNo")
    private String factoryNo;

    @JsonProperty("AssetNo")
    private String AssetNo;

    @JsonProperty("DeviceName")
    private String DeviceName;

    @JsonProperty("DeviceType")
    private String DeviceType;

    @JsonProperty("CncType")
    private String CncType;

    @JsonProperty("NcVer")
    private String NcVer;

    @JsonProperty("DeviceBrand")
    private String DeviceBrand;


    @JsonProperty("Status")
    private String Status;

    @JsonProperty("Emg")
    private String Emg;

    @JsonProperty("Alarm")
    private String Alarm;

    @JsonProperty("Mode")
    private String Mode;


    @JsonProperty("AxisName")
    private String AxisName;

    @JsonProperty("MachPos")
    private String MachPos;

    @JsonProperty("AbsPos")
    private String AbsPos;


    @JsonProperty("NcStatus")
    private String NcStatus;

    @JsonProperty("MainPgm")
    private String MainPgm;

    @JsonProperty("CurPgm")
    private String CurPgm;

    @JsonProperty("CurSeq")
    private String CurSeq;


    @JsonProperty("AlarmMsg")
    private String AlarmMsg;


    @JsonProperty("LaserRatePower")
    private String LaserRatePower;

    @JsonProperty("MaxIdleSpeed")
    private String MaxIdleSpeed;

    @JsonProperty("MaxCutSpeed")
    private String MaxCutSpeed;

    @JsonProperty("CutRange")
    private String CutRange;

    @JsonProperty("CutGunNo")
    private String CutGunNo;

    @JsonProperty("posAcc")
    private String posAcc;

    @JsonProperty("WorkSize")
    private String WorkSize;

    @JsonProperty("CutGasType")
    private String CutGasType;

    @JsonProperty("CutGasFlow")
    private String CutGasFlow;

    @JsonProperty("CutThick")
    private String CutThick;

    @JsonProperty("LaserPower")
    private String LaserPower;

    @JsonProperty("GasPressure")
    private String GasPressure;

    @JsonProperty("PowerVoltage")
    private String PowerVoltage;

    @JsonProperty("CutSpeed")
    private String CutSpeed;

    @JsonProperty("PlateType")
    private String PlateType;

    @JsonProperty("CutStatus")
    private String CutStatus;

    @JsonProperty("CycSec")
    private String CycSec;




}
