package com.jln.system.web.action.mqtt.pojo.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

@Data
@ApiModel("数控龙门铣上报数据对象类")
public class LmxReportDataDto {

    @JsonProperty("DeviceID")
    private String DeviceID;

    @JsonProperty("SerNum")
    private String SerNum;

    @JsonProperty("DeviceName")
    private String DeviceName;

    @JsonProperty("DeviceBrand")
    private String DeviceBrand;

    @JsonProperty("CompanyNo")
    private String CompanyNo;

    @JsonProperty("factoryNo")
    private String factoryNo;

    @JsonProperty("AssetNo")
    private String AssetNo;

    @JsonProperty("CncType")
    private String CncType;

    @JsonProperty("DeviceType")
    private String DeviceType;

    @JsonProperty("NcVer")
    private String NcVer;

    @JsonProperty("Axes")
    private String Axes;

    @JsonProperty("SpinNum")
    private String SpinNum;

    @JsonProperty("SpinLoad1")
    private String SpinLoad1;

    @JsonProperty("ActSpin")
    private String ActSpin;

    @JsonProperty("MaxSpeed")
    private String MaxSpeed;


    @JsonProperty("Status")
    private String Status;

    @JsonProperty("Emg")
    private String Emg;

    @JsonProperty("Mode")
    private String Mode;


    @JsonProperty("AxisName")
    private String AxisName;

    @JsonProperty("MachPos")
    private String MachPos;

    @JsonProperty("AbsPos")
    private String AbsPos;

    @JsonProperty("RelPos")
    private String RelPos;

    @JsonProperty("RemPos")
    private String RemPos;


    @JsonProperty("NcStatus")
    private String NcStatus;

    @JsonProperty("MainPgm")
    private String MainPgm;

    @JsonProperty("MainPgmMsg")
    private String MainPgmMsg;

    @JsonProperty("CurPgm")
    private String CurPgm;

    @JsonProperty("CurPgmMsg")
    private String CurPgmMsg;

    @JsonProperty("CutTime")
    private String CutTime;

    @JsonProperty("CycSec")
    private String CycSec;

    @JsonProperty("CurSeq")
    private String CurSeq;

    @JsonProperty("PartCnt")
    private String PartCnt;

    @JsonProperty("CurNcBlk")
    private String CurNcBlk;


    @JsonProperty("TCode")
    private String TCode;


    @JsonProperty("OvFeed")
    private String OvFeed;

    @JsonProperty("OvSpin")
    private String OvSpin;

    @JsonProperty("ActFeed")
    private String ActFeed;


    @JsonProperty("alarmNums")
    private String alarmNums;

    @JsonProperty("AlarmType")
    private String AlarmType;

    @JsonProperty("AlarmNo")
    private String AlarmNo;

    @JsonProperty("Alarm")
    private String Alarm;

    @JsonProperty("AlarmMsg")
    private String AlarmMsg;

}
