package com.jln.system.web.action.mqtt.pojo.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

@Data
@ApiModel("坡口机器人上报数据对象类")
public class PkjqrReportDataDto {

    @JsonProperty("DeviceID")
    private String DeviceID;

    @JsonProperty("CompanyNo")
    private String CompanyNo;

    @JsonProperty("factoryNo")
    private String factoryNo;

    @JsonProperty("AssetNo")
    private String AssetNo;

    @JsonProperty("DeviceName")
    private String DeviceName;

    @JsonProperty("DeviceType")
    private String DeviceType;

    @JsonProperty("CncType")
    private String CncType;

    @JsonProperty("SerNum")
    private String SerNum;

    @JsonProperty("NcVer")
    private String NcVer;

    @JsonProperty("Status")
    private String Status;

    @JsonProperty("Emg")
    private String Emg;

    @JsonProperty("Alarm")
    private String Alarm;

    @JsonProperty("AlarmMsg")
    private String AlarmMsg;

    @JsonProperty("Mode")
    private String Mode;

    @JsonProperty("J1")
    private String J1;
    @JsonProperty("J2")
    private String J2;
    @JsonProperty("J3")
    private String J3;
    @JsonProperty("J4")
    private String J4;
    @JsonProperty("J5")
    private String J5;
    @JsonProperty("J6")
    private String J6;

    @JsonProperty("UX")
    private String UX;
    @JsonProperty("UY")
    private String UY;
    @JsonProperty("UZ")
    private String UZ;
    @JsonProperty("UW")
    private String UW;
    @JsonProperty("UP")
    private String UP;
    @JsonProperty("UR")
    private String UR;

    @JsonProperty("WX")
    private String WX;
    @JsonProperty("WY")
    private String WY;
    @JsonProperty("WZ")
    private String WZ;
    @JsonProperty("WW")
    private String WW;
    @JsonProperty("WP")
    private String WP;
    @JsonProperty("WR")
    private String WR;

    @JsonProperty("NcStatus")
    private String NcStatus;
    @JsonProperty("MainPgm")
    private String MainPgm;
    @JsonProperty("MainPgmMsg")
    private String MainPgmMsg;
    @JsonProperty("CurPgm")
    private String CurPgm;
    @JsonProperty("CurPgmMsg")
    private String CurPgmMsg;
    @JsonProperty("CycSec")
    private String CycSec;
    @JsonProperty("CurSeq")
    private String CurSeq;
    @JsonProperty("CurNcBlk")
    private String CurNcBlk;

    @JsonProperty("CabType")
    private String CabType;
    @JsonProperty("PowerType")
    private String PowerType;
    @JsonProperty("GasPressure")
    private String GasPressure;
    @JsonProperty("CutSpeed")
    private String CutSpeed;
    @JsonProperty("Current")
    private String Current;
    @JsonProperty("WorkStatus")
    private String WorkStatus;
    @JsonProperty("GasFlow")
    private String GasFlow;

    /*@JsonProperty("BurnGas")
    private String BurnGas;*/

    @JsonProperty("ArcStrikeTime")
    private String ArcStrikeTime;
    @JsonProperty("ArcVoltage")
    private String ArcVoltage;
    @JsonProperty("GapOffset")
    private String GapOffset;
    @JsonProperty("Voltage")
    private String Voltage;
    @JsonProperty("WorkCurrent")
    private String WorkCurrent;

}
